package cofh.thermal.expansion.inventory.container.machine;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cofh.core.inventory.container.TileContainer;
import cofh.lib.inventory.container.slot.SlotCoFH;
import cofh.lib.inventory.container.slot.SlotRemoveOnly;
import cofh.lib.inventory.wrapper.InvWrapperCoFH;
import cofh.thermal.expansion.init.TExpContainers;
import cofh.thermal.lib.block.entity.Reconfigurable4WayBlockEntity;
import net.minecraft.core.BlockPos;
import net.minecraft.world.Container;
import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.inventory.MenuType;
import net.minecraft.world.inventory.Slot;
import net.minecraft.world.level.Level;

public class MachinePyrolyzerContainer extends TileContainer {
  public final Reconfigurable4WayBlockEntity tile;
  
  public MachinePyrolyzerContainer(int windowId, Level level, BlockPos pos, Inventory inventory, Player player) {
    super((MenuType)TExpContainers.MACHINE_PYROLYZER_CONTAINER.get(), windowId, level, pos, inventory, player);
    this.tile = (Reconfigurable4WayBlockEntity)level.m_7702_(pos);
    InvWrapperCoFH tileInv = new InvWrapperCoFH(this.tile.getItemInv());
    m_38897_((Slot)new SlotCoFH(tileInv, 0, 44, 26));
    m_38897_((Slot)new SlotRemoveOnly((Container)tileInv, 1, 107, 26));
    m_38897_((Slot)new SlotRemoveOnly((Container)tileInv, 2, 125, 26));
    m_38897_((Slot)new SlotRemoveOnly((Container)tileInv, 3, 107, 44));
    m_38897_((Slot)new SlotRemoveOnly((Container)tileInv, 4, 125, 44));
    m_38897_((Slot)new SlotCoFH(tileInv, 5, 8, 53));
    bindAugmentSlots((Container)tileInv, 6, this.tile.augSize());
    bindPlayerInventory(inventory);
  }
}
